package com.trade.service.trade.salesorder.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.trade.salesorder.domain.CustomsDeclarationGoods;
import com.trade.service.thirdparty.xiaotu.dto.CustomsDeclarationResponse;
import com.trade.service.trade.salesorder.vo.CustomsDeclarationGoodsDtlVO;

import java.util.List;

/**
 * <p>
 * 报关单商品 服务类
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-20
 */
public interface ICustomsDeclarationGoodsService extends IService<CustomsDeclarationGoods> {

    void addCustomsDeclarationGoods(CustomsDeclarationResponse customsDeclarationResponse);

    List<CustomsDeclarationGoodsDtlVO> listWithCustomsDeclarationDtlByOrderId(Long orderId);

    void updateCustomsDeclarationGoods(CustomsDeclarationResponse customsDeclarationResponse, Long id);

    /**
     * 根据出口报关单号获取报关单商品
     * 
     * @param ckbgdh 出口报关单号
     * @return 报关单商品
     */
    CustomsDeclarationGoods getByCkbgdh(String ckbgdh);

    /**
     * 根据报关单号获取报关单商品
     * @param bgdhgbh 报关单号<报关单海关编号>
     * @return 报关单商品
     */
    List<CustomsDeclarationGoods> getByBgdh(String bgdhgbh);
}
